
// <![CDATA[

function getStylesDialogElements(columnitem, pattern) {
	"use strict";
	let n = pattern.length;  // Anzahl der Elemente
	let s='';
	s += '#wrapperdialog {'+"\n";
	s += ' display: grid;'+"\n";
	s += ' grid-template-columns: ' + columnitem +';'+"\n";
	s += ' grid-template-rows: ';
	// je nach Anzahl die Reihen definieren
	for (let i=0; i<n; i++) {
		s +='auto ';
	}
	s +="\n";

	s += ' grid-column-gap:70px;'+"\n";
	s += ' grid-row-gap:10px;'+"\n";
	s += ' background-color:red;'+"\n";
	s += '}'+"\n";
	s += ' '+"\n";
	s += '.fbox1 {'+"\n";
	s += ' margin-right:10px;'+"\n";
	s += '}'+"\n";
	s += ' '+"\n";
	s += '.fbox2 {'+"\n";
	s += ' margin-right:10px;'+"\n";
	s += '}'+"\n";
	return s;
}



// allreadonly   delete Dialog !
// json1 beinhaltet die UI-Inhalte
// json2 beinnhaltet die Pattern
function createDialogElements(allreadonly, customer, pattern) {
	"use strict";
	//alert(json1);
	// alert(json2);

	// normales replace ersetzt nur den ersten Fall !!
	let n = pattern.length;  // Anzahl der Elemente

	let s='';
	s+=' <div id="wrapperdialog">'+"\n";

	let captions = Object.keys(customer);
	// dialoge
	let index=1;
	let readonly='';
	if (allreadonly) {
		readonly=' readonly="readonly" ';
	}
	for(var j in customer){
		let typ = pattern[index-1].typ;
		let caption = pattern[index-1].caption;
		let htmlname = pattern[index-1].htmlname;
		let min = pattern[index-1].min;
		let max = pattern[index-1].max;
		//alert(typ);
		s+=' <label class="fbox1" for="ui' + index + 'Id">'+htmlname+'</label>'+"\n";
		if (typ=='number') {
			s+=' <input type="number" class="fbox2" min="'+min+'"  max="'+max+'"  name="' +htmlname+ '" id="ui' +index+ 'Id" '+readonly+' value="'+customer[j]+'"  />'+"\n";
			//alert(s);
		}
		else if (typ=='text') {
			s+=' <input type="text" class="fbox2" name="' +htmlname+ '" id="ui' +index+ 'Id" '+readonly+'  value="'+customer[j]+'" size="12" />'+"\n";
		}
		else if (typ=='-') {
			s+=' <input type="text" class="fbox2" name="' +htmlname+ '" id="ui' +index+ 'Id" value="'+customer[j]+'" size="12" readonly="readonly" />'+"\n";
		}
		if (typ=='date') {
			s+=' <input type="date" class="fbox2" name="' +htmlname+ '" id="ui' +index+ 'Id" '+readonly+'  '+readonly+'  value="'+customer[j]+'" size="12"  />'+"\n";
		}
		if (typ=='checkbox') {
			s+=' <input type="checkbox" class="fbox2" name="' +htmlname+ '" id="ui' +index+ 'Id" '+readonly+'  value="'+customer[j]+'" size="12"  />'+"\n";
		}

		if (typ=='color') {
			s+=' <input type="color" class="fbox2" name="' +htmlname+ '" id="ui' +index+ 'Id" '+readonly+'  value="'+customer[j]+'" size="12"  />'+"\n";
		}
		if (typ=='datetime') {
			s+=' <input type="datetime" class="fbox2" name="' +htmlname+ '" id="ui' +index+ 'Id" '+readonly+'  value="'+customer[j]+'" size="12"  />'+"\n";
		}
		if (typ=='email') {
			s+=' <input type="email" class="fbox2" name="' +htmlname+ '" id="ui' +index+ 'Id" '+readonly+'  value="'+customer[j]+'" size="12"  />'+"\n";
		}
		if (typ=='month') {
			s+=' <input type="month" class="fbox2" name="' +htmlname+ '" id="ui' +index+ 'Id" '+readonly+'  value="'+customer[j]+'" size="12"  />'+"\n";
		}
		if (typ=='time') {
			s+=' <input type="time" class="fbox2" name="' +htmlname+ '" id="ui' +index+ 'Id" '+readonly+'  value="'+customer[j]+'" size="12"  />'+"\n";
		}
		if (typ=='week') {
			s+=' <input type="week" class="fbox2" name="' +htmlname+ '" id="ui' +index+ 'Id" '+readonly+'  value="'+customer[j]+'" size="12"  />'+"\n";
		}
		if (typ=='password') {
			s+=' <input type="password" class="fbox2" name="' +htmlname+ '" id="ui' +index+ 'Id" '+readonly+'  value="'+customer[j]+'" size="12"  />'+"\n";
		}

		index++;
	}
	s+=' </div>'+"\n";  // wrapperDialog
	return s;
}









function createCompleteDialogElements(caption, captionlegend, allreadonly, columnitem,  clickyes, clickno, customer, pattern) {
	"use strict";
	let str_dialogStyles = getStylesDialogElements(columnitem, pattern);
	let str_Dialog = createDialogElements(allreadonly, customer, pattern);

	let s='';
	s += '  <style type="text/css"  id="internalStyle" >'+"\n";
	s += str_dialogStyles+"\n";
	s += 'fieldset {'+"\n";
	s += '  border: 2px solid #C5D8E1;'+"\n";
	s += '  border-radius: 10px;'+"\n";
	s += '  background: white;'+"\n";
	s += '  margin: 0;'+"\n";
	s += '  width:25rem;'+"\n";
	s += ' }'+"\n";
	s += ' '+"\n";
	s += 'legend { '+"\n";
	s += '  color:red;'+"\n";
	s += ' } '+"\n";
	s += '  </style>'+"\n";

	s += '<h1>'+caption+'</h1>'+"\n";
	s += '<form method="get">'+"\n";
	s += '<fieldset>'+"\n";
	s += '<legend>'+captionlegend+'</legend>'+"\n";

	s+=str_Dialog+"\n";
	s+='</fieldset>'+"\n";
	s+='<br />'+"\n";
	s+='<input type="button" value="Yes" onclick="'+clickyes+'(this.form)" />'+"\n";
	s+='<input type="button" value="No" onclick="'+clickno+'(this.form)" />'+"\n";
	s+='<input type="reset" value="Reset"   />'+"\n";
	s+='</form>'+"\n";
	s+='<br />'+"\n";
	s+='<br />'+"\n";
	s+='<div id="ajaxerror"></div>'+"\n";
	return s;
}












