<?php

	function connect2DB() {
		$servername='localhost';
		$username='root';
		$passwd='';
		$database = 'amacon';

		$conn = new mysqli($servername, $username,
		$passwd, $database);
		return $conn;
	}

	function loadCustomersFromDB() {
		$arr = array();
		$conn = connect2DB() ;
		if ($conn->connect_error) {
			die('Connection failed' . $conn->connect_error);
			return $arr;
		}

		$sql = 'SELECT PINDEX, CNR, LASTNAME, FIRSTNAME, STREET, BIRTHDAY  FROM customer';

		$result = $conn->query($sql);
		if ($result) {

			while ($row = $result->fetch_array()) {
				$customer = new Customer();
				$customer->pindex = intval($row['PINDEX']);
				$customer->cnr = intval($row['CNR']);
				$customer->lastname = trim($row['LASTNAME']);
				$customer->firstname = trim($row['FIRSTNAME']);
				$customer->street = trim($row['STREET']);
				$customer->birthday = trim($row['BIRTHDAY']);
				$arr[] = $customer;
			} // while


		}
		else {
			die('SQL gescheitert');
		}

		return $arr;
	}


	class Pattern{
		public $typ='';
		public $caption='';
		public $htmlname='';
		public $min=0;
		public $max=0;
		public $pattern='';

		public function __construct($typ, $caption,$htmlname,$min, $max, $pattern) {
			$this->typ= $typ;
			$this->caption = $caption;
			$this->htmlname = $htmlname;
			$this->min = $min;
			$this->max = $max;
			$this->pattern = $pattern;
		}
	}  // class Customer


	function getCustomerPatternFromDB() {
		// PINDEX, CNR, LASTNAME, FIRSTNAME, STREET, BIRTHDAY '
		$liste = array();
		$liste[] = new Pattern('-','Pindex','pindex', 
						1,10001,'');
		$liste[] = new Pattern('number','Kundennr','cnr',
						1,100002,'');

		$liste[] = new Pattern('text','Nachname','lastname',
						0,0,'^[A-ZÜÄÖ][a-züäöß]{1,29}$');
		$liste[] = new Pattern('text','Vorname','firstname',
						0,0,'^[A-ZÜÄÖ][a-züäöß]{1,29}$');
		$liste[] = new Pattern('text','Strasse','street',0,0,'^[A-ZÜÄÖ][a-züäöß]{1,29}([ ][A-ZÜÄÖ][a-züäöß]{1,29}){0,2}[ ][1-9][0-9]{0,3}([a-z]){0,1}$');
		$liste[] = new Pattern('date','Geburtstag','birthday',
						0,0,'');
return $liste;
}

function loadCustomerFromDB($pindex) {
$customer = new Customer();
$conn = connect2DB() ;
if ($conn->connect_error) {
die('Connection failed' . $conn->connect_error);
return $customer;
}

$sql = 'SELECT PINDEX, CNR, LASTNAME, FIRSTNAME, STREET, BIRTHDAY  FROM customer WHERE pindex=' . $pindex;

$result = $conn->query($sql);
if ($result) {
while ($row = $result->fetch_array()) {
	$customer->pindex = intval($row['PINDEX']);
	$customer->cnr = intval($row['CNR']);
	$customer->lastname = trim($row['LASTNAME']);
	$customer->firstname = trim($row['FIRSTNAME']);
	$customer->street = trim($row['STREET']);
	$customer->birthday = trim($row['BIRTHDAY']);
} // while







}
else {
die('SQL gescheitert');
}

return $customer;
}

function quoted($item) {
return "'" . $item . "'";
}

function updateCustomer2DB($customer) {
$conn = connect2DB() ;
if ($conn->connect_error) {
die('Connection failed' . $conn->connect_error);
return $customer;
}

$sql = 'UPDATE customer ' .
' SET ' .
' CNR=' . $customer->cnr . ', ' .
' LASTNAME=' . quoted($customer->lastname) . ', ' .
' FIRSTNAME=' . quoted($customer->firstname) . ', ' .
' STREET=' . quoted($customer->street) . ', ' .
' BIRTHDAY=' . quoted($customer->birthday) .
' WHERE pindex=' . $customer->pindex;

$result = $conn->query($sql);
return $result;
}  // updateCustomer2DB

function deleteCustomerFromDB($pindex) {
$conn = connect2DB() ;
if ($conn->connect_error) {
die('Connection failed' . $conn->connect_error);
return false;
}

$sql = 'DELETE FROM customer ' .
' WHERE pindex=' . $pindex;
$result = $conn->query($sql);
return $result;
}


function getDBSequence() {
$conn = connect2DB() ;
if ($conn->connect_error) {
die('Connection failed' . $conn->connect_error);
return false;
}

$sql = 'UPDATE sequence SET id=LAST_INSERT_ID(id+1);';
$result = $conn->query($sql);
if ( $result ){
$sql ='SELECT LAST_INSERT_ID()';
$result = $conn->query($sql);
if ( $result ){
	while ( $row = $result->fetch_array() ) {
		$sequence = intval($row[0]) ;
	} // while
}  // if







}
else {
// die('SQL-Anweisung gescheitert');
return $sequence;
}
return $sequence;
}

function insertCustomer2DB($customer) {
$conn = connect2DB() ;
if ($conn->connect_error) {
die('Connection failed' . $conn->connect_error);
return false;
}

$sql = 'INSERT INTO customer(PINDEX, CNR, LASTNAME, FIRSTNAME, STREET,  BIRTHDAY)' .
' VALUES(  ' .
' ' . $customer->pindex . ', ' .
' ' . $customer->cnr . ', ' .
' ' . quoted($customer->lastname) . ', ' .
' ' . quoted($customer->firstname) . ', ' .
' ' . quoted($customer->street) . ', ' .
' ' . quoted($customer->birthday) .
' )';

$result = $conn->query($sql);
return $result;
} // insertCustomerDB
?>








